NewWacht Bench is live — AI-assisted development for Wacht

Get User Workspace Memberships

GET
/users/{user_id}/workspace-memberships

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

user_id*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.wacht.dev/users/string/workspace-memberships"
{
  "data": [
    {
      "id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "workspace_id": "string",
      "organization_id": "string",
      "organization_membership_id": "string",
      "user_id": "string",
      "public_metadata": null,
      "roles": [
        {
          "id": "string",
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z",
          "name": "string",
          "permissions": [
            "string"
          ],
          "is_deployment_level": true
        }
      ],
      "workspace": {
        "id": "string",
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z",
        "name": "string",
        "image_url": "string",
        "description": "string",
        "member_count": 0,
        "public_metadata": null,
        "private_metadata": null
      }
    }
  ],
  "total": 0,
  "offset": 0,
  "limit": 0
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}